VCF-QUERY(1)

NAME
vcf-query - query VCF files

SYNOPSIS
query-vcf [OPTIONS] file.vcf.gz

OPTIONS

-c, --columns <NA001,NA002,..>
    List of comma-separated column names.

-f, --format <string>
    The default is '%CHROM:%POS\t%REF[\t%SAMPLE=%GT]\n'

-l, --list-columns
    List columns.

-r, --region chr:from-to
    Retrieve the region. (Runs tabix.)

-h, -?, --help
    This help message.

EXAMPLES

    query-vcf file.vcf.gz 1:1000-2000 -c NA001,NA002,NA003 query-vcf file.vcf.gz -r 1:1000-2000 -f '%CHROM:%POS\t%REF[\t%SAMPLE:%*=,]\n' query-vcf file.vcf.gz -f '[%GT\t]%LINE\n' query-vcf file.vcf.gz -f '%CHROM\t%POS\t%INFO/DP\t%FILTER\n'